Skip to content

Get bulk sender by ID

Request

Get a bulk sender by ID.

Security
oauth2(Required scopes: bulksender:read) or bearerAuth or apiKeyHeader
Path
bulkSenderIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

GET
/campaign-workers/bulk-senders/{bulkSenderId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/campaign-workers/bulk-senders/{bulkSenderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(BulkSender)
Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "externalId": "string", "interactionChannel": "voice", "interactionSubject": "annualPrivacyPolicyNotice", "interactionTheme": "agentNotification" } }